%global libname zfec
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-%{libname}
Version:        1.4.7
Release:        2%{?dist}
Summary:        A fast erasure codec with python bindings

Group:          Development/Tools
License:        GPLv2+
URL:            http://allmydata.org/trac/%{libname}
Source0:        http://pypi.python.org/packages/source/z/%{libname}/%{libname}-%{version}.tar.gz
Patch0:         zfec-fix-setup.patch

BuildRequires:  python-devel, python-setuptools, pyutil
Requires:       pyutil, python-argparse

%description
Fast, portable, programmable erasure coding a.k.a. "forward error correction":
the generation of redundant blocks of information such that if some blocks are
lost then the original data can be recovered from the remaining blocks.


%prep
%setup -q -n %{libname}-%{version}

# remove the dependency on darcs, we work from a tarball
# and don't want setuptools to go online and fetch it
%patch0 -p1


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

rm -rf %{buildroot}%{_docdir}/%{libname}
find %{buildroot} -name *.c -exec rm {} \;
find %{buildroot} -name *.h -exec rm {} \;

# Remove shebangs on modules
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitearch}/%{libname}/test/test_zfec.py
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitearch}/%{libname}/cmdline_zfec.py
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitearch}/%{libname}/cmdline_zunfec.py

%clean
rm -rf %{buildroot}

%check
%{__python} setup.py test

%files
%defattr(-,root,root,-)
%doc README.txt TODO NEWS.txt COPYING.GPL COPYING.TGPPL.html
%{python_sitearch}/%{libname}
%{python_sitearch}/%{libname}-%{version}-*.egg-info
%{_bindir}/zfec
%{_bindir}/zunfec


%changelog
* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.7-1
- Upstream released new version

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.6-1
- Upstream released new version

* Mon Sep 07 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.5-1
- Initial import

